# ELRI(Electronic Industry Research Institute) Web系统

## 一、项目开发需求

​		下面表格是现在主要计划开发的系统需求，重点开发的需求是序号1、2、3项目系统。

| 序号 | 系统名称                 | 系统内容                                                     | 优先级 |
| ---- | ------------------------ | :----------------------------------------------------------- | ------ |
| 1    | 一站式服务大厅平台       | 采购统一身份认证平台、电子邮件服务系统、app升级改造（包含不限于项目相关的审批流程、报销相关的申请、审批流程、审批认证（手写、人脸等组合认证）等功能） | 高     |
| 2    | 科研管理系统             | 实现科研项目申报计划、项目申报、项目立项、预算变更、预算增加、项目中检、合同、验收、外协、审批、信息查询等功能；提供一套完善的接口服务系统；相关功能的APP实现。 | 高     |
| 3    | 科研财务管理系统         | 实现科研项目中申请报销（日常报销、差旅报销、酬金申请等）、报销审核、费用报销、发票管理、app程序、接口服务、系统管理等功能；提供一套完善的接口服务系统；相关功能的APP实现。 | 高     |
| 4    | 3D点云环境采集平台       | 采购深度摄像头4台，以及3D点云环境采集平台一套。              | 中     |
| 5    | 智能动作采集实验平台     | 定制化采购环形设备安装支架、灯控制设备、摄像头、交换机等设备；以及动作采集实验平台一套。 | 中     |
| 6    | 室外图像采集实验测试平台 | 采购大场景人脸跟踪一体机、高空瞭望球机、移动式监控设备等设备，以及配套室外图像采集实验测试平台一套。 | 中     |

​		详细项目需求见：`Docs\科研项目需求完整.md`

## 二、系统架构		 

​		电产院系统需求初步计划采用[Ruoyi](https://gitee.com/y_project/RuoYi-Vue)框架开发。`Ruoyi`是基于SpringBoot+Vue前后端分离的Java快速开发框架，它是是一套全部开源的快速开发平台，个人及企业可以完全免费使用。涉及到的开发语言主要是`java`（后端）和`JavaScript`(前端)。

- 前端采用Vue、Element UI。
- 后端采用Spring Boot、Spring Security、Redis & Jwt。
- 权限认证使用Jwt，支持多终端认证系统。
- 支持加载动态权限菜单，多方式轻松权限控制。
- 高效率开发，使用代码生成器可以一键生成前后端代码。

​		`ruoyi`的文档参考`Docs\Ruoyi-Docs\`。

## 三、开发人员架构

| 姓名   | 职务       |                           工作内容                           | 负责项目         |
| ------ | ---------- | :----------------------------------------------------------: | ---------------- |
| 詹力   | 项目负责人 | 开发框架的确定、时间节点的规划、技术难点问题协同解决、前后端代码开发。 | -                |
| 冯琬夫 | 项目成员   |                         Java后端开发                         | -                |
| 刘雨旭 | 项目成员   |                         Java后端开发                         |                  |
| 贾召钱 | 项目成员   |                          前后端开发                          |                  |
| 殷康宁 | 项目成员   |                          前后端开发                          | 科研财务管理系统 |
| 朱瑞   | 项目成员   |                          前后端开发                          | 科研管理系统     |
| 杨晓宇 | 项目成员   |                          前后端开发                          |                  |
| 常亦凡 | 项目成员   |                          前后端开发                          |                  |

